Public Member Functions | Private Attributes

# NetworkContentDownloadStatusWindow Struct Reference

Window for showing the download status of content. More...

Inheritance diagram for NetworkContentDownloadStatusWindow:

## Public Member Functions
| NetworkContentDownloadStatusWindow ()
| Create a new download window based on a list of content information with flags whether to download them or not.
| ~NetworkContentDownloadStatusWindow ()
| Free whatever we've allocated.
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnDownloadProgress (const ContentInfo *ci, int bytes)
| We have progress in the download of a file.
## Private Attributes
SmallVector< ContentType, 4 > | receivedTypes
| Types we received so we can update their cache.

## Detailed Description

Window for showing the download status of content.

Definition at line 158 of file network_content_gui.cpp.

## Member Function Documentation

virtual void NetworkContentDownloadStatusWindow::OnDownloadProgress | ( | const ContentInfo * | ci,
|  | int | bytes |
| ) |  |  | `[inline, virtual]`

We have progress in the download of a file.

Parameters:

  | ci | the content info of the file
  | bytes | the number of bytes downloaded since the previous call

Reimplemented from BaseNetworkContentDownloadStatusWindow.

Definition at line 271 of file network_content_gui.cpp.

References BaseNetworkContentDownloadStatusWindow::downloaded_bytes, SmallVector< T, S >::Include(), receivedTypes, BaseNetworkContentDownloadStatusWindow::total_bytes, and ContentInfo::type.

The documentation for this struct was generated from the following file:

- src/network/network_content_gui.cpp